Name:		perl-DNS-ZoneParse
Version: 	0.96
Release:	1.1
License: 	GPL
Group: 		Development/Libraries/Perl
Summary: 	Perl module DNS::ZoneParse
URL: 		http://search.cpan.org/~luismunoz/
Source0: 	DNS-ZoneParse-%{version}.tar.gz
BuildRoot: 	%{_tmppath}/%{name}-%{version}-build
BuildRequires:	glibc-devel libgcc gcc gcc-c++ perl
BuildArch:	noarch

%if 0%{?fedora_version} >= 7
BuildRequires:	perl-ExtUtils-MakeMaker
%endif

%description
DNS::ZoneParse - Parse and manipulate DNS Zone Files.


%prep
%setup -q -n DNS-ZoneParse-%{version}

%build
CFLAGS="%{optflags}" %{__perl} Makefile.PL INSTALLDIRS="vendor" PREFIX="%{_prefix}"
%{__make} %{?_smp_mflags} OPTIMIZE="%{optflags}"

%install
%__make DESTDIR=%{buildroot} install

### Clean up buildroot
%{__rm} -rf %{buildroot}%{perl_archlib} \
                %{buildroot}%{perl_vendorarch}/auto/*{,/*{,/*}}/.packlist

%clean
rm -rf $RPM_BUILD_ROOT/*
rm -rf $RPM_BUILD_DIR/%{name}*


%files
%defattr(-,root,root)
%doc README
%dir %{perl_vendorlib}/DNS
%{perl_vendorlib}/DNS/ZoneParse.pm
%{_mandir}/man3/DNS::ZoneParse.3pm*

%changelog
* Sun May 31 2009 Carsten Schoene <cs@linux-administrator.com> - 0.96
- initial build.
